/** Ressources ids for GPilotS' UI
  @file
  @author C. Claveleira
  @date 1999-2004
*/

// $Id: gtalkRsc.h,v 1.30 2004/11/17 20:46:40 clavelei Exp $



// Mainform :
#define MainForm       1000
#define MainMenuID     1001
#define MainListID     1002
//#define BtUploadID     1003
//#define BtDownloadID   1004
#define MainCatListID  1005
#define MainCatPopupID 1006
//#define UpScrollID     1007
//#define DownScrollID   1008
//#define FdNumID       1009
#define MainMenuID2    1010
#define MainMenuID3    1011
#define TrackMenuID    1012
#define MainSelMenuID  1013
#define MainSelMenuID2 1014
#define MainSelMenuID3 1015
#define MainScrollID   1016
#define MainFdSearchID 1017
#define MainLabelID    1018
#define MainSearchID   1019

// plage de numeros differents
// pour eviter clash avec reutilisation
// de composants d'autres forms
// DownLoadForm :
#define DownloadForm   1001
#define DownCkID       1001
#define BtGoID         1010
#define BtCancelID     1111
#define DownloadHelpID 1002

// UpLoadForm :
#define UploadForm 1002
#define UplLblID   1000

// EditForm (regroupe EditRefForm):
#define EditForm          1003
#define EditCoordButLat0  1000
#define EditCoordButLatNS 1011
#define EditCoordButLon0  1020
#define EditCoordButLonEW 1032
#define EditListOffset     100				   // offset d'index entre boutons et listes associes
#define EditCoordLstLat0  EditCoordButLat0+EditListOffset  // 1100-1111
#define EditCoordLstLon0   EditCoordButLon0+EditListOffset // 1120-1132
#define EditFdNameID      1040
#define EditFdCommentID   1041
#define EditFdCoordID     1042
#define EditSymbolPopupID 1043
#define EditSymbolListID  1044
#define EditDispPopupID   1045
#define EditDispListID    1046
#define EditCatListID     1047
#define EditCatPopupID    1048
//#define EditDatumPopupID  1049
//#define EditDatumListID   1050
#define EditBtOKID        1051
#define EditBtDeleteID    1052
#define EditBtCancelID    1053
#define EditBtRefID       1054
#define EditRefLabelID    1055
#define EditDistLabelID   1056
#define EditDistFieldID   1057
#define EditBtNextID      1058
//#define EditPtFieldID     1059
#define EditunitLabelID   1060
#define EditBearLabelID   1061
#define EditBearFieldID   1062
#define EditDegLabelID    1063
#define EditDatumLabelID  1064
#define EditPDistFieldID  1065
#define EditColorPopupID  1066
#define EditColorListID   1067
#define EditPDistLabelID  1068
#define EditPDispLabelID  1069
#define EditColor2PopupID 1070
#define EditColor2ListID  1071
#define EditAltLabelID    1072
#define EditAltFieldID    1073
#define EditDatumFieldID  1074
#define EditTypeFieldID   1075
// 1100-1111 : reserve
// 1120-1132 : reserve
/*  #define EditFieldDegLatID 1100 */
/*  #define EditFieldMinLatID 1101 */
/*  #define EditFieldSecLatID 1102 */
/*  #define EditFieldDegLonID 1103 */
/*  #define EditFieldMinLonID 1104 */
/*  #define EditFieldSecLonID 1105 */

// ProgressForm :
#define ProgressForm 1004
#define BtStopID     1000
#define FdStatusID   1001
#define FdStatus2ID  1002

// HostForm :
#define HostForm       1005
//#define BtStopID       1000
#define HostWptPopupID 1001
#define HostWptListID  1002
#define HostRtePopupID 1003
#define HostRteListID  1004
#define HostTrkPopupID 1005
#define HostTrkListID  1006
#define HostCmptID     1007

// TrackForm :
#define TrackForm      1006
#define TrkCatListID   1000
#define TrkCatPopupID  1001
#define TrkDrawingID   1002
/*  #define TrkWptChk      1003 */
/*  #define TrkGrdChk      1004 */
#define TrkBtDeleteID  1005
#define TrkFdNameID    1006
/*  #define TrkTrkChk      1007 */
/*  #define TrkPlsChk      1008 */
/*  #define TrkMnsChk      1009 */
#define TrkMapID       1010
#define TrkBtOKID      1011
#define TrkSpdID       1012
#define TrkSelID       1013

// RouteForm :
#define RouteForm     1007
#define RouteListID   1000
#define RteCatListID  1001
#define RteCatPopupID 1002
#define RteButEditID  1003
#define RteBtDeleteID 1004
#define RteBtOKID     1005
#define RteStatFDID   1006
#define RteNumID      1007
#define RteCmntID     1008
#define RteBtBeamID   1009

// PrefForm :
#define PrefForm        1008
#define PrefHelpID      1100
#define PrefListID      1000
#define PrefPopupID     1001
#define PrefLabelID     1002
// #define PrefItselfID    1003
// #define PrefGIIID       1004
#define PrefDupID       1005
#define PrefUnitListID  1006
#define PrefPopUnitID   1007
#define PrefDispListID  1008
#define PrefPopDispID   1009
#define PrefGPSListID   1010
#define PrefGPSPopID    1011
#define PrefBtCancelID  1012
#define PrefBtOKID      1013
#define PrefLogListID   1014
#define PrefPopLogID    1015
#define PrefDatumListID 1016
#define PrefDatumPopupID 1017
#define PrefSerListID   1018
#define PrefSerPopID    1019
#define PrefWptPopID    1020
#define PrefWptListID   1021
#define PrefRtePopID    1022
#define PrefRteListID   1023
#define PrefTrkPopID    1024
#define PrefTrkListID   1025
#define PrefLooseID     1026

// SortForm :
#define SortForm        1009

// EventForm :
#define EventForm       1010

// EditRefForm :
#define EditRefForm     1011
#define EditRefNameID   1000

// EditRouteForm :
#define EditRouteForm     1012
#define RteEditWptLstID   1001
#define RteEditRteLstID   1002
//#define RteEditLabelID    1003
#define RtEditNmbrID      1003
// #define RteEditLabel2ID   1004
#define RteEditBtOKID     1005
#define RteEditBtCancelID 1006
#define RtEditWptPopupID  1007
#define RtEditWptListID   1008
#define RtEditCmntID      1009

// MapForm :
#define MapForm        1013
#define MapListID      1000
#define MapPopupID     1001
#define MapDrawingID   1002
#define MapWptChk      1003
#define MapGrdChk      1004
#define MapTrkChk      1005
#define MapPlsChk      1006
#define MapMnsChk      1007
#define MapBtOKID      1008
#define MapLogChk      1009
#define MapRteChk      1010
#define MapNewChk      1011
#define MapDelChk      1012
#define MapInsChk      1013
#define MapBtCancelID  1014

// ExportForm :
#define ExportForm     1014

// ChartForm
#define ChartForm     1015

// CategoryForm
#define CategoryForm  1016
#define CatBtOKID     1000
#define CatBtCancelID 1001

// NewDBForm :
#define NewDBForm        1017
#define NewDBFDNameID    1000
#define NewDBBtOKID      1001
#define NewDBBtCancelID  1002

// ChangeDBForm :
#define ChangeDBForm       1018
#define ChangeDBPopupID    1000
#define ChangeDBListID     1001
#define ChangeDBBtOKID     1002
#define ChangeDBBtCancelID 1003

// WaitForm :
#define WaitForm          1019

// DebugForm :
#define DebugForm  1020
#define DbgGpsl128ID 1001
#define DbgGpsl64ID 1002
#define DbgGpsl32ID 1003
#define DbgGpsl16ID 1004
#define DbgGpsl8ID 1005
#define DbgGpsl4ID 1006
#define DbgGpsl2ID 1007
#define DbgGpsl1ID 1008
#define DbgGpsu128ID 1009
#define DbgGpsu64ID 1010
#define DbgGpsu32ID 1011
#define DbgGpsu16ID 1012
#define DbgGpsu8ID 1013
#define DbgGpsu4ID 1014
#define DbgGpsu2ID 1015
#define DbgGpsu1ID 1016
#define Dbg128ID 1017
#define Dbg64ID 1018
#define Dbg32ID 1019
#define Dbg16ID 1020
#define Dbg8ID 1021
#define Dbg4ID 1022
#define Dbg2ID 1023
#define Dbg1ID 1024
#define DebugBtCancelID 1025
#define DebugBtOKID 1026


// menu principal :
#define MenuAboutID       1000
#define MenuNewID         1001
#define MenuGPSTypeID     1002
#define MenuUploadID      1003
#define MenuDownloadID    1004
#define MenuWptID         1005
#define MenuRteID         1006
#define MenuTrkID         1007
#define MenuHostID        1008
#define MenuTimeID        1009
#define MenuDeleteID      1010
#define MenuPrefID        1011
#define MenuNameID        1012
#define MenuDistID        1013
//#define MenuRefID         1014
#define MenuLatID         1015
#define MenuLonID         1016
#define MenuSymbID        1017
#define MenuMarkID        1018
#define MenuNewFRID       1019
#define MenuLogEventsID   1020
#define MenuDumpEventsID  1021
#define MenuCheckID       1022
#define MenuDownNewID     1023
#define MenuAltID         1024
#define MenuViewID        1025
#define MenuExportID      1026
#define MenuNavID         1027
#define MenuEraseID       1028
#define MenuMapID         1029
#define MenuBeamID        1030
#define MenuSpProfID      1031
#define MenuSelID         1032
#define MenuCatID         1033
#define MenuSelAllID      1034
#define MenuUnSelAllID    1035
#define MenuNewDBID       1036
#define MenuDBID          1037
#define MenuBearID        1038
#define MenuTrkDistID     1039


#define BtOKID      1010

#define idAbout     1004

// Bitmaps :
#define DotBMID    100
#define HouseBMID  101
#define CarBMID    102
#define GasBMID    103
#define FishBMID   104
#define BoatBMID   105
#define AnchorBMID 106
#define WreckBMID  107
#define ExitBMID   108
#define SkullBMID  109
#define FlagBMID   110
#define CampBMID   111
#define DuckBMID   112
#define DeerBMID   113
#define BuoyBMID   114
#define BTBMID     115
#define TrashBMID  116
#define Target1ID  117
#define PointBMID  118
#define SymbolsBMID 119

#define AlertID       1100
#define ConfID        1101
#define NoImpID       1102
#define ErrorID       1103
#define NoRoomID      1104
#define RmvWptID      1105
#define CoordErrorID  1106
#define UnsupportedID 1107
#define ConvertWarnID 1108
#define ConvWptID     1109
#define ReceiveID     1110
#define OSUnsupportedID 1111

// Strings :
// #define StrUndefCatID    200
#define StrRemoveItemsID 201
#define StrProgFormat    202
#define StrTimeFormat    203
#define StrWptRefFormat  204
#define StrHostRunning   205
#define StrRemoveTrkID   206
#define RouteEditHelpID  207
#define localizedAppInfo 208
#define StrRmSelItemsID  209
#define StrNoTimeInTrack 210

// Fonts :
#define MidgetXS0FontID    129
#define MidgetXS0FontRSCID 1000
