/** Code sections repartition
  @file
  @author C. Claveleira
  @date 1999-2004
*/

/* 	$Id: sections.h,v 1.5 2004/11/17 21:24:57 clavelei Exp $	 */

#ifndef __SECTIONS_INCLUDE

#define EDIT_SECTION  __attribute__ ((section ("othersec")))  // editwpt.c
#define IO_SECTION    __attribute__ ((section ("iosec")))     // dbio.c, gpsio.c
#define LL_SECTION    __attribute__ ((section ("othersec")))  // latlong.c
#define MAP_SECTION   __attribute__ ((section ("othersec")))  // map.c
#define ROUTE_SECTION __attribute__ ((section ("othersec")))  // route.c
#define TRACK_SECTION __attribute__ ((section ("othersec")))  // track.c
#define LOG_SECTION   __attribute__ ((section ("othersec")))  // log.c
#define MEMO_SECTION  __attribute__ ((section ("othersec")))  // memo.c
#define UTIL_SECTION  __attribute__ ((section ("iosec")))     // gpsutil.c, objects.c

#define __SECTIONS_INCLUDE
#endif
