/** include file of dbio.c 
  @file
  @author C. Claveleira
  @date 1999-2004
*/

/*
   Copyright (C) 1999,2000,2001,2002 Christian Claveleira (Christian.Claveleira@cru.fr)

	$Id: dbio.h,v 1.9 2004/11/17 21:18:59 clavelei Exp $	 
*/

#include "ExgMgr.h"					   // object exchange functions

#include "sections.h"

extern Err SetRecord (VoidHand RecH, void *p, ULong l, DmOpenRef DB, UInt pos, UInt Category)     IO_SECTION;
extern Err put_trk (GarminObject * p, UInt total, UInt current, LocalFormatID format,
		    unsigned char size) IO_SECTION;
extern Garmin_Packet *get_next_packet (UInt current) IO_SECTION;
extern Err put_packet (Garmin_Packet * p, UInt current) IO_SECTION;
extern Err put_wpt (GarminObject * p, UInt total, UInt current, LocalFormatID format,
		    unsigned char size) IO_SECTION;
extern Err put_rte (GarminObject * p, UInt total, UInt current, LocalFormatID format,
		    unsigned char size) IO_SECTION;
extern GarminObject *get_next_wpt (UInt current, LocalFormatID format,
				   unsigned char *size) IO_SECTION;
extern GarminObject *get_next_trk (UInt current, LocalFormatID format, unsigned char *size,
				   Boolean * eot) IO_SECTION;
extern GarminObject *get_next_rte (UInt current, LocalFormatID format, unsigned char *size,
				   Boolean * header, Boolean * eor) IO_SECTION;
extern char *get_next_full_rte (UInt current) IO_SECTION;
extern void CleanUpTracks (void) IO_SECTION;
extern UInt init_active_trk (void) IO_SECTION;
extern void push_active_trkpt (Custom_Trk_Point_Type trkpt) IO_SECTION;
extern Err SetCategory (DmOpenRef DB, UInt index, UInt Category) IO_SECTION;
extern Err BeamReceive (ExgSocketPtr sockp, DmOpenRef DB) IO_SECTION;
extern void InitObject (Object * op) IO_SECTION;
#ifdef FURUNO
char * get_next_full_rte (UInt current) IO_SECTION;
char * Furuno_get_next_wpt (UInt current) IO_SECTION;
#endif
