/** include file for gpsio.c
  @file
  @author C. Claveleira
  @date 1999-2004

*/
/*
   Copyright (C) 1999,2000,2001,2002 Christian Claveleira (Christian.Claveleira@cru.fr)

 	$Id: gpsio.h,v 1.4 2004/11/17 21:15:40 clavelei Exp $	
*/

#define Verbose 1

enum GpsOperation
{
  gpsNop, gpsHostMode, gpsUpload, gpsDownload, gpsGetTime, gpsGetPosition, gpsGetInfos, gpsEnableAsyncEvts
};
typedef enum GpsOperation GpsOperation;
extern GpsOperation GpsOp;
extern UInt   New,
  Replaced,
  Sent;

#include "sections.h"

Boolean HostFormHandleEvent     (EventPtr e) IO_SECTION;
Boolean ProgressFormHandleEvent (EventPtr e) IO_SECTION;
Boolean UploadFormHandleEvent   (EventPtr e) IO_SECTION;
Boolean DownloadFormHandleEvent (EventPtr e) IO_SECTION;
